Package org.eclipse.debug.core.model

# Interface IStreamsProxy2

All Superinterfaces:
  `IStreamsProxy`

All Known Subinterfaces:
  `IBinaryStreamsProxy`

public interface IStreamsProxy2 extends IStreamsProxy
Extension to a streams proxy that allows closing of the output stream connected to the standard input stream of a proxy's process.

Clients should implement this interface, in addition to `IStreamsProxy`, if interested closing the standard input stream.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`void`
`closeInputStream()`
Closes the output stream connected to the standard input stream of this proxy's process.

### Methods inherited from interface org.eclipse.debug.core.model.IStreamsProxy

`getErrorStreamMonitor, getOutputStreamMonitor, write`

## Method Details

### closeInputStream

void closeInputStream() throws IOException
Closes the output stream connected to the standard input stream of this proxy's process.

Throws:
  `IOException` - if unable to close the stream